com.r3corda.core.node.services.testing / MockAttachmentStorage

# MockAttachmentStorage

`class MockAttachmentStorage : AttachmentStorage`

### Constructors

<init> | `MockAttachmentStorage()`

### Properties

files | `val files: HashMap<SecureHash, ByteArray>`

### Functions

importAttachment | `fun importAttachment(jar: InputStream): SecureHash` Inserts the given attachment into the store, does not close the input stream. This can be an intensive operation due to the need to copy the bytes to disk and hash them along the way.
openAttachment | `fun openAttachment(id: SecureHash): Attachment?` Returns a handle to a locally stored attachment, or null if its not known. The handle can be used to open a stream for the data, which will be a zip/jar file.